package com.mx.dla.dda.carga.suscriptor.daos;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.mx.dla.dda.carga.suscriptor.dtos.CargaSuscripcionBD;


public interface CargaSuscriptorDAO {

	public List<CargaSuscripcionBD> obtenerCargaSuscripciones(@Param("fechas") List<String> fechas);
	
	public void nuevoCargaSuscripcion( CargaSuscripcionBD suscriptor);
	
	public void updateCargaSuscripcion( CargaSuscripcionBD suscriptor);
	
	public void eliminarCarga(@Param("idCarga") Long idCarga);
}
